# Documentation of Research for the "Identity and Access Management System"


## Description
Research Pertaining to IAMS (Identity and Access Management System) is stored in this repository in order to help further its development for future intergration with [Libre Food Pantry](https://librefoodpantry.org/).

## Visuals
Depending on what you are making, it can be a good idea to include screenshots or even a video (you'll frequently see GIFs rather than actual videos). Tools like ttygif can help, but check out Asciinema for a more sophisticated method.

## Installation
Within a particular ecosystem, there may be a common way of installing things, such as using Yarn, NuGet, or Homebrew. However, consider the possibility that whoever is reading your README is a novice and would like more guidance. Listing specific steps helps remove ambiguity and gets people to using your project as quickly as possible. If it only runs in a specific context like a particular programming language version or operating system or has dependencies that have to be installed manually, also add a Requirements subsection.

## Usage
Use examples liberally, and show the expected output if you can. It's helpful to have inline the smallest example of usage that you can demonstrate, while providing links to more sophisticated examples if they are too long to reasonably include in the README.

## Support
Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.

## Roadmap
If you have ideas for releases in the future, it is a good idea to list them in the README.

## Contributing
State if you are open to contributions and what your requirements are for accepting them.

For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.

You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.

## Authors and acknowledgment
Authors: George Chyoghly, Mike Morley, Lena Viazmitinov, Grace Kitenge, Andrew Sychtysz

## License
This product is Licensed under [GPLv3](https://www.gnu.org/licenses/gpl-3.0.html), [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/), and [Developer Certificate of Origin 1.1](https://developercertificate.org/). Contributors agree to license source code contributions under [GPLv3](https://www.gnu.org/licenses/gpl-3.0.html) and content contributions under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/), and sign-off that their contribution meets the conditions of the [Developer Certificate of Origin 1.1](https://developercertificate.org/).

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.
